lowbbb
lowbbb
2017-11-22 15:03

用pip下载gensim出现exception 求大佬们指点!!!

5
  • exception
  • python
  • utf-8
  • pip
  • anaconda

Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File "c:\program files\python37\lib\site-packages\pip\compat__init__.py", line 73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\program files\python37\lib\site-packages\pip\basecommand.py", line 215, in main
status = self.run(options, args)
File "c:\program files\python37\lib\site-packages\pip\commands\install.py", line 324, in run
requirement_set.prepare_files(finder)
File "c:\program files\python37\lib\site-packages\pip\req\req_set.py", line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "c:\program files\python37\lib\site-packages\pip\req\req_set.py", line 634, in prepare_file
abstract_dist.prep_for_dist()
File "c:\program files\python37\lib\site-packages\pip\req\req_set.py", line 129, in prep_for_dist
self.req_to_install.run_egg_info()
File "c:\program files\python37\lib\site-packages\pip\req\req_install.py", line 439, in run_egg_info
command_desc='python setup.py egg_info')
File "c:\program files\python37\lib\site-packages\pip\utils\
_init__.py", line 676, in call_subprocess
line = console_to_str(proc.stdout.readline())
File "c:\program files\python37\lib\site-packages\pip\compat__init__.py", line 75, in console_to_str
return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

有没有大佬告诉一下是哪里出了问题???

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

3条回答